/*
Exploring Arduino - Code Listing 4-4: Servo Potentiometer Control
http://www.exploringarduino.com/content/ch4

Copyright 2013 Jeremy Blum ( http://www.jeremyblum.com )
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License v3 as published by
the Free Software Foundation.
Last Modified: 8/7/2016 by Garrison Johnston
*/

//Servo Potentiometer Control

#include <Servo.h>
#include <calibration.h>

const int POT=0;    //POT on Analog Pin 0

const int SERVO[3]={9,6,5}; //Arduino servo pin assignment


Servo myServo[3]; //
int val ;     //for storing the reading from the POT
int temp;

void setup()
{
    //attaches servos  
    myServo[0].attach(SERVO[0] , ServoMinMicrosecDelay , ServoMaxMicrosecDelay); 
    myServo[1].attach(SERVO[1] , ServoMinMicrosecDelay , ServoMaxMicrosecDelay); 
    myServo[2].attach(SERVO[2] , ServoMinMicrosecDelay , ServoMaxMicrosecDelay); 
    Serial.begin(9600);
}
void loop()
{ 
    
    int i=1; //ut 0,1,2 for choosing motor 1,2,3
    
    val = analogRead(POT);           //Read Pot
    delay(10);
    
    theta_calib[i]=interpolate(val, min_pot, max_pot, theta_of_min_pot[i], theta_of_max_pot[i]);
    Serial.print("Angle: "); Serial.print(theta_calib[i]*180/pi,10); Serial.print("\t");
    m[i] = (int) interpolate(theta_calib[i], theta_min[i], theta_max[i], m_of_theta_min[i], m_of_theta_max[i]); //interpolates  
    myServo[i].writeMicroseconds(m[i]);              // sets the servo1
    delay(10);
    Serial.print("Pulse Width: "); Serial.println(m[i],10);
}

double interpolate(double x, double x_min, double x_max, double y_of_x_min, double y_of_x_max) {
  double y;
  y = (double) ((y_of_x_max-y_of_x_min)/(x_max-x_min)*(x-x_min) + y_of_x_min);
  return y;
}

