#ifndef CALIBRATION_H_INCLUDED
#define CALIBRATION_H_INCLUDED

double min_pot=0.0;
double max_pot=1023.0;

int ServoMinMicrosecDelay=500; //min and max pulse width the servos will respond to
int ServoMaxMicrosecDelay=2600;

const double pi = 3.141592653589793238462643383; //pi

double theta_calib[3]; //theta for calibration Purposes 
int m[3]; //variables for current microsec pulse width

//defines min and max angles of servos
double theta_of_min_pot[3]={175*pi/180,175*pi/180,175*pi/180};
double theta_of_max_pot[3]={5*pi/180,5*pi/180,5*pi/180};
double theta_min[3] = {5*pi/180,5*pi/180,5*pi/180};
double theta_max[3] = {175*pi/180,175*pi/180,175*pi/180};

double m_of_theta_min[3]={580,713,752}; //microsecond delays corresponding to 5 deg
double m_of_theta_max[3]={2290,2576,2451}; //microsecond delays corresponding to 1755 deg


//double q_home_offset[3]={90.0-86.2, 90.0-86.7595, 90.0-86.7595};  //joint offsets due to arm assembly to the servo using spline gear

double q_home_offset[3]={0,0,0};
#endif // CALIBRATION_H_INCLUDED
